LAST,LASTB(1)

NAME
last, lastb - show listing of last logged in users

SYNOPSIS
last [options] [username...] [tty...]
lastb [options] [username...] [tty...]

DESCRIPTION
last searches back through the file /var/log/wtmp (or the file designated by the -f option) and displays a list of all users logged in (and out) since that file was created. Names of users and tty's can be given, in which case last will show only those entries matching the arguments. Names of ttys can be abbreviated, thus last 0 is the same as last tty0.

When last catches a SIGINT signal (generated by the interrupt key, usually control-C) or a SIGQUIT signal, last will show how far it has searched through the file; in the case of the SIGINT signal last will then terminate.

The pseudo user reboot logs in each time the system is rebooted. Thus last reboot will show a log of all reboots since the log file was created.

lastb is the same as last, except that by default it shows a log of the file /var/log/btmp, which contains all the bad login attempts.

OPTIONS

-f, --file file
    Tell last to use a specific file instead of /var/log/wtmp. The --file file can be specified multiple times, and all of the defined files will be processed.

-number
-n, --limit number
    This is a count telling last how many lines to show.

-s, --since time
    Display the state of logins since specified time. This is useful, e.g., to determine easily who was logged in at a particular time. The option is often combined with --until.

-t, --until time
    Display the state of logins until the specified time.

-p, --present time
    Display users who were present at the specified time. This option is similar with --since and --until, without printing any other lines than the matching sessions.

--time-format format
    Define output timestamp format to be one of the notime, short, full, or iso. notime will not print timestamp at all. short is default, and full is same as --fulltimes option. The iso will display time stamp in ISO-8601 format. The iso format contains timezone information making it to be preferrable when print outs are investigated outside of the system.

-F, --fulltimes
    Print full login and logout times and dates.

-R, --nohostname
    Suppresses the display of the hostname field.

-a, --hostlast
    Display the hostname in the last column. Useful in combination with the --dns option.

-d, --dns
    For non-local logins, Linux stores not only the host name of the remote host but its IP number as well. This option translates the IP number back into a hostname.

-F, --fullnames
    Print full login and logout times and dates.

-i, --ip
    This option is like --dns in that it displays the remote host, but it displays the host in IP number notation.

-w, --fullnames
    Display full user and domain names in the output.

-x, --system
    Display the system shutdown entries and run level changes.

TIME FORMATS
The options that take time argument will understand the following formats:
YYYYMMDDhhmmss
YYYY-MM-DD hh:mm:ss
YYYY-MM-DD hh:mm | (seconds will be set to 00)
YYYY-MM-DD | (time will be set to 00:00:00)
hh:mm:ss | (date will be set to today)
hh:mm | (date will be set to today, seconds to 00)
now
yesterday | (time is set to 00:00:00)
today | (time is set to 00:00:00)
tomorrow | (time is set to 00:00:00)
+5min
-5days

NOTES
The files wtmp and btmp might not be found. The system only logs information in these files if they are present. This is a local configuration issue. If you want the files to be used, they can be created with a simple touch(1) command (for example, touch /var/log/wtmp).

FILES
/var/log/wtmp
/var/log/btmp

AUTHOR
Miquel van Smoorenburg (miquels@cistron.nl)

AVAILABILITY
The last command is part of the util-linux package and is available from Linux Kernel Archive (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

SEE ALSO
shutdown(8), login(1), init(8)